Public Member Functions | Private Attributes | List of all members
libvisio::VSDOpenUnorderedListLevelOutputElement Class Reference
Inheritance diagram for libvisio::VSDOpenUnorderedListLevelOutputElement:

## Public Member Functions
| VSDOpenUnorderedListLevelOutputElement (const librevenge::RVNGPropertyList &propList)
| ~VSDOpenUnorderedListLevelOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
VSDOutputElement * | clone () override
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

## ◆ VSDOpenUnorderedListLevelOutputElement()

libvisio::VSDOpenUnorderedListLevelOutputElement::VSDOpenUnorderedListLevelOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by clone().

## ◆ ~VSDOpenUnorderedListLevelOutputElement()

libvisio::VSDOpenUnorderedListLevelOutputElement::~VSDOpenUnorderedListLevelOutputElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

VSDOutputElement * libvisio::VSDOpenUnorderedListLevelOutputElement::clone | ( |  | ) |
| inline override virtual

Implements libvisio::VSDOutputElement.

## ◆ draw()

void libvisio::VSDOpenUnorderedListLevelOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| override virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

## ◆ m_propList

librevenge::RVNGPropertyList libvisio::VSDOpenUnorderedListLevelOutputElement::m_propList
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp